Bug 213688 - [NEW PORT]: devel/libgeodecomp: LibGeoDecomp is an auto-parallelizing library for computer simulations
Summary: [NEW PORT]: devel/libgeodecomp: LibGeoDecomp is an auto-parallelizing library...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-21 18:07 UTC by Kurt Kanzenbach
Modified: 2017-01-31 23:43 UTC (History)
2 users (show)

See Also:


Attachments
LibGeoDecomp port shell archive (13.51 KB, text/plain)
2016-10-21 18:07 UTC, Kurt Kanzenbach
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Kanzenbach 2016-10-21 18:07:51 UTC
Created attachment 176036 [details]
LibGeoDecomp port shell archive

Description:

LibGeoDecomp (Library for Geometric Decomposition codes) is an
auto-parallelizing library for computer simulations. It is specifically targeted
computational science applications in the context of supercomputers and
heterogeneous systems. The library eases development of such tightly coupled
codes by essentially taking over the parallel programming: it handles both, the
parallelization itself and parameter tuning. This enables scientists to focus on
their simulation code, rather than the technical details of the parallel
computer.

WWW: http://www.libgeodecomp.org/
Comment 1 Nikolai Lifanov freebsd_committer 2017-01-30 18:51:48 UTC
take
Comment 2 Nikolai Lifanov freebsd_committer 2017-01-30 18:55:06 UTC
Do you mind having primary category be "science" instead of "devel"?
Comment 3 Kurt Kanzenbach 2017-01-30 19:32:53 UTC
No, science category is just fine. Thanks!
Comment 4 commit-hook freebsd_committer 2017-01-31 23:38:22 UTC
A commit references this bug:

Author: lifanov
Date: Tue Jan 31 23:37:59 UTC 2017
New revision: 432959
URL: https://svnweb.freebsd.org/changeset/ports/432959

Log:
  add science/libgeodecomp - auto-parallelizing library for computer simulations

  LibGeoDecomp (Library for Geometric Decomposition codes) is an
  auto-parallelizing library for computer simulations. It is specifically targeted
  computational science applications in the context of supercomputers and
  heterogeneous systems. The library eases development of such tightly coupled
  codes by essentially taking over the parallel programming: it handles both, the
  parallelization itself and parameter tuning. This enables scientists to focus on
  their simulation code, rather than the technical details of the parallel
  computer.

  PR:		213688
  Submitted by:	Kurt Kanzenbach <kurt@kmk-computers.de>
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9390

Changes:
  head/science/Makefile
  head/science/libgeodecomp/
  head/science/libgeodecomp/Makefile
  head/science/libgeodecomp/distinfo
  head/science/libgeodecomp/files/
  head/science/libgeodecomp/files/patch-lib_libflatarray_src_aligned__allocator.hpp
  head/science/libgeodecomp/files/patch-src_CMakeLists.txt
  head/science/libgeodecomp/pkg-descr
  head/science/libgeodecomp/pkg-plist
Comment 5 Nikolai Lifanov freebsd_committer 2017-01-31 23:43:16 UTC
Committed, thanks!

I also added you to contributor list:
https://www.freebsd.org/doc/en_US.ISO8859-1/articles/contributors/contrib-additional.html

This was a perfect submission. I didn't have to make any changes.
If you have other submissions, feel free to CC me directly and I'll take care of them.